%define major 1
%define apiver 1.0
%define libname %mklibname %name %{apiver} %{major}
%define develname %mklibname %{name} -d

Summary:	Simple DirectMedia Layer for pango 
Name:		SDL_Pango
Version:	0.1.2
Release:	%mkrel 4
License:	LGPLv2+
Group:		System/Libraries
URL:		http://sdlpango.sourceforge.net/
Source0:	http://puzzle.dl.sourceforge.net/sourceforge/sdlpango/%{name}-%{version}.tar.xz
Source1:    doxygen.png
Patch0:     SDL_Pango-0.1.2-suppress-warning.patch
Patch1:     SDL_Pango-0.1.2-API-adds.patch
Patch2:     SDL_Pango-0.1.2-matrix_declarations.patch
#-----------------------------------------------
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}pango1.0-devel
#-----------------------------------------------

%description
Pango is the text rendering engine of GNOME 2.
SDL_Pango connects the engine to SDL.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}SDL_Pango1
Provides:	%{_lib}SDL_Pango1 = %version-%release
Provides:	%name

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}SDL_Pango1-devel < 0.1.2-4

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q
%apply_patches

%build
# Clean up, we include the entire "docs/html" content for the devel package
rm -rf docs/html/CVS/
# Replace the corrupt doxygen.png file with a proper one
install -m 0644 -p %{SOURCE1} docs/html/doxygen.png
# Fix the (many) DOS encoded files, not *.png since they get corrupt
find . -not -name \*.png -type f -exec dos2unix -k {} \;
# For FC-5 x86_64 this is required, or the shared library doesn't get built
autoreconf -i
libtoolize --copy --force

%configure2_5x --disable-static --disable-dependency-tracking
%make

%install
rm -rf %buildroot
%makeinstall_std

rm -f %buildroot%_libdir/*.la

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%doc README
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%clean
rm -rf %buildroot


%changelog
* Wed Jul 04 2018 adrianomorselli <adrianomorselli> 0.1.2-4uplos2018
- update for 2018
